What are the operating system requirements for the Access suite of sites?

Go to the profile of User Center Help
User Center Help on Dec 14, 2016 • 1 answer
This question has no further details.
Answer

Answers

The Access suite of sites currently supports the following browsers:

Windows platforms XP, 7, & 8: Google Chrome – latest version*, Microsoft Internet Explorer – versions 8, 9, & 10 (full support date for 11 still TBD), Mozilla Firefox – latest version*
Apple Computers OSX: Safari – latest version*, Firexfox – latest version*
Android: Jelly Bean and above. Devices native browser only.
Apple iOS 6 & 7: Safari browser only.
*Firefox and Chrome are set to automatically update in most instances

Supported browser versions and devices for the Easy Platform (RadReview Easy, NAPLEX Easy, USMLE-Easy, and PAEasy) are listed below. Snapwiz supports the current and previous major releases of Firefox, Chrome and Safari on a rolling basis. Each time a new version is released, they begin supporting that version and stop supporting the third most recent version. They will support only the current version of Internet Explorer (currently IE11). It works on IE10, but Snapwiz has not done extensive QA for IE10. (Support for BOTH IE9 AND modern tablets will be very resource intensive as we will be supporting IE9 that is very old to supporting newer tablet platforms.)

In general, Snapwiz will always supports the current and the immediate prior release of all browsers except Internet Explorer.

Go to the profile of User Center Help
User Center Help on Dec 14, 2016